Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis
Class AbstractXFireAegisTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.codehaus.xfire.test.AbstractXFireTest
                  org.codehaus.xfire.aegis.AbstractXFireAegisTest

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  AbstractXFireSpringTest

    public class AbstractXFireAegisTest

extends AbstractXFireTest

Since:
  Oct 31, 2004
Author:
  Dan Diephouse

Constructor Summary
`AbstractXFireAegisTest()`

Method Summary
`protected void` | `setUp()`

Methods inherited from class org.codehaus.xfire.test.AbstractXFireTest
`addNamespace, assertInvalid, assertNoFault, assertValid, assertXPathEquals, getBasedir, getResourceAsReader, getResourceAsStream, getServiceFactory, getServiceRegistry, getTestFile, getWSDL, getWSDLDocument, getXFire, invokeService, printNode, readDocument, readDocument, setServiceFactory`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractXFireAegisTest

    public AbstractXFireAegisTest()

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Overrides:
    `setUp` in class `AbstractXFireTest`
  Throws:
    `java.lang.Exception`
  See Also:
    `TestCase.setUp()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.